List Countries
Access control: this endpoint is available to users with the
everyonerole.
Returns a list of ISO 3166 country codes based on the scope filter. This API is intended to be useful when presenting a dropdown box in your website to allow customers to select a country for a shipping address.
Scope options:
- Custom: Return only countries for which there is a TaxTypeMapping with IsCustomContent = true (requires subscription)
- All (default): Return all ISO 3166 countries
Authentication
Headers
Identifies the software you are using to call this API. For more information on the client header, see Client Headers .
Query parameters
A filter statement to identify specific records to retrieve. For more information on filtering, see Filtering in REST.
Not filterable: alpha3Code, isEuropeanUnion, localizedNames, addressesRequireRegion
If nonzero, return no more than this number of results. Used with $skip to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.
If nonzero, skip this number of results before returning data. Used with $top to provide pagination for large datasets.
A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC.
Optional query parameter to filter by Custom or All countries (default: All)

